Debian Bug report logs - #669246
zfs-fuse: fails to install due to insserv rejecting the script header

version graph

Package: zfs-fuse; Maintainer for zfs-fuse is Asias He <asias@debian.org>; Source for zfs-fuse is src:zfs-fuse.

Reported by: Andreas Beckmann <debian@abeckmann.de>

Date: Wed, 18 Apr 2012 12:33:02 UTC

Severity: serious

Found in versions zfs-fuse/0.7.0-6, zfs-fuse/0.7.0-7, libguestfs0/1:1.16.18-1

Fixed in version zfs-fuse/0.7.0-8

Done: Asias He <asias.hejun@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Asias He <asias.hejun@gmail.com>:
Bug#669246; Package zfs-fuse. (Wed, 18 Apr 2012 12:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
New Bug report received and forwarded. Copy sent to Asias He <asias.hejun@gmail.com>. (Wed, 18 Apr 2012 12:33:10 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: zfs-fuse: fails to install due to insserv rejecting the script header
Date: Wed, 18 Apr 2012 14:28:59 +0200
[Message part 1 (text/plain, inline)]
Package: zfs-fuse
Version: 0.7.0-6
Severity: serious
User: debian-qa@lists.debian.org
Usertags: piuparts

Hi,

during a test with piuparts I noticed your package failed to install due
to insserv rejecting the script header. Some notes are
available from at http://wiki.debian.org/LSBInitScripts

>From the attached log (scroll to the bottom...):

  Setting up zfs-fuse (0.7.0-6) ...
  invoke-rc.d: policy-rc.d denied execution of restart.
  insserv: Service fuse has to be enabled to start service zfs-fuse
  insserv: exiting now!
  update-rc.d: error: insserv rejected the script header
  dpkg: error processing zfs-fuse (--configure):
   subprocess installed post-installation script returned error exit status 1

This problem has just appeared without zfs-fuse being updated in the
archive ... so probably the fuse dependency was indirectly satisfied
before, but changes to other packages may have removed that indirect
dependency inbetween.


cheers,

Andreas
[libguestfs0_1:1.16.18-1.log.gz (application/x-gzip, attachment)]

Added indication that 669246 affects libguestfs0 Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Wed, 18 Apr 2012 14:39:09 GMT) Full text and rfc822 format available.

Marked as found in versions libguestfs0/1:1.16.18-1. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Wed, 18 Apr 2012 14:39:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Asias He <asias.hejun@gmail.com>:
Bug#669246; Package zfs-fuse. (Thu, 19 Apr 2012 02:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to steven@nchc.org.tw:
Extra info received and forwarded to list. Copy sent to Asias He <asias.hejun@gmail.com>. (Thu, 19 Apr 2012 02:24:03 GMT) Full text and rfc822 format available.

Message #14 received at 669246@bugs.debian.org (full text, mbox):

From: Steven Shiau <steven@nchc.org.tw>
To: 669246@bugs.debian.org
Subject: Bug#669246: This is due to no /etc/init.d/fuse in fuse 2.8.7-2
Date: Thu, 19 Apr 2012 09:59:34 +0800
I believe this issue is due to this:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=667988
No more /etc/init.d/fuse in in fuse 2.8.7-2.

Steven.

-- 
Steven Shiau<steven _at_ nchc org tw>  <steven _at_ stevenshiau org>
National Center for High-performance Computing, Taiwan.
http://www.nchc.org.tw
Public Key Server PGP Key ID: 1024D/9762755A
Fingerprint: A2A1 08B7 C22C 3D06 34DB  F4BC 08B3 E3D7 9762 755A





Marked as found in versions zfs-fuse/0.7.0-7. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Thu, 31 May 2012 17:36:02 GMT) Full text and rfc822 format available.

Reply sent to Asias He <asias.hejun@gmail.com>:
You have taken responsibility. (Fri, 01 Jun 2012 07:27:06 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <debian@abeckmann.de>:
Bug acknowledged by developer. (Fri, 01 Jun 2012 07:27:06 GMT) Full text and rfc822 format available.

Message #21 received at 669246-done@bugs.debian.org (full text, mbox):

From: Asias He <asias.hejun@gmail.com>
To: 669246-done@bugs.debian.org
Date: Fri, 1 Jun 2012 15:25:15 +0800
I think this bug should be fixed in the latest version 0.7.0-7
-- 
Asias He




Information forwarded to debian-bugs-dist@lists.debian.org, Asias He <asias.hejun@gmail.com>:
Bug#669246; Package zfs-fuse. (Fri, 01 Jun 2012 15:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Asias He <asias.hejun@gmail.com>. (Fri, 01 Jun 2012 15:45:06 GMT) Full text and rfc822 format available.

Message #26 received at 669246@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <669246@bugs.debian.org>
Subject: Re: zfs-fuse: fails to install due to insserv rejecting the script header
Date: Fri, 01 Jun 2012 17:41:55 +0200
[Message part 1 (text/plain, inline)]
Package: zfs-fuse
Version: 0.7.0-7
Followup-For: Bug #669246

Hi,

since /etc/init.d/fuse does no longer exist, that dependency needs to be
dropped from from the zfs-fuse initscript.

  Selecting previously unselected package zfs-fuse.
  (Reading database ... 7189 files and directories currently installed.)
  Unpacking zfs-fuse (from .../zfs-fuse_0.7.0-7_amd64.deb) ...
  Setting up zfs-fuse (0.7.0-7) ...
  invoke-rc.d: policy-rc.d denied execution of restart.
  insserv: Service fuse has to be enabled to start service zfs-fuse
  insserv: exiting now!
  update-rc.d: error: insserv rejected the script header
  dpkg: error processing zfs-fuse (--configure):
   subprocess installed post-installation script returned error exit status 1
  Errors were encountered while processing:
   zfs-fuse


Andreas
[zfs-fuse_0.7.0-7.log.gz (application/x-gzip, attachment)]

Bug reopened Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Fri, 01 Jun 2012 22:21:07 GMT) Full text and rfc822 format available.

Reply sent to Asias He <asias.hejun@gmail.com>:
You have taken responsibility. (Tue, 05 Jun 2012 03:06:05 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <debian@abeckmann.de>:
Bug acknowledged by developer. (Tue, 05 Jun 2012 03:06:07 GMT) Full text and rfc822 format available.

Message #33 received at 669246-close@bugs.debian.org (full text, mbox):

From: Asias He <asias.hejun@gmail.com>
To: 669246-close@bugs.debian.org
Subject: Bug#669246: fixed in zfs-fuse 0.7.0-8
Date: Tue, 05 Jun 2012 03:02:32 +0000
Source: zfs-fuse
Source-Version: 0.7.0-8

We believe that the bug you reported is fixed in the latest version of
zfs-fuse, which is due to be installed in the Debian FTP archive:

zfs-fuse_0.7.0-8.debian.tar.gz
  to main/z/zfs-fuse/zfs-fuse_0.7.0-8.debian.tar.gz
zfs-fuse_0.7.0-8.dsc
  to main/z/zfs-fuse/zfs-fuse_0.7.0-8.dsc
zfs-fuse_0.7.0-8_i386.deb
  to main/z/zfs-fuse/zfs-fuse_0.7.0-8_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 669246@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Asias He <asias.hejun@gmail.com> (supplier of updated zfs-fuse package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 05 Jun 2012 09:34:39 +0800
Source: zfs-fuse
Binary: zfs-fuse
Architecture: source i386
Version: 0.7.0-8
Distribution: unstable
Urgency: low
Maintainer: Asias He <asias.hejun@gmail.com>
Changed-By: Asias He <asias.hejun@gmail.com>
Description: 
 zfs-fuse   - ZFS on FUSE
Closes: 669246
Changes: 
 zfs-fuse (0.7.0-8) unstable; urgency=low
 .
   * Fix "fails to install due to insserv rejecting the script header"
     Drop fuse in /etc/init.d/zfs-fuse (Closes: #669246)
Checksums-Sha1: 
 679e41ccc93baeef755d3d99ce33d5b091676e04 1968 zfs-fuse_0.7.0-8.dsc
 2e3e96abb890a583e12a671c60e2720f4f022ac7 19359 zfs-fuse_0.7.0-8.debian.tar.gz
 3c8bb08073cbe62af477a95a25fd8c67fed6f805 1360286 zfs-fuse_0.7.0-8_i386.deb
Checksums-Sha256: 
 78b1727f402251eb19c477facc55845ad8dabfd6133be2549b1f4666543c74a8 1968 zfs-fuse_0.7.0-8.dsc
 69eaaa0c1b74620c1e387164e7e7dd12f89689ced1ad00a92bd96a802acef4bf 19359 zfs-fuse_0.7.0-8.debian.tar.gz
 5a410fa8c1a5d9be198b7ae92d1d261eb3b5738b9273c66f3b724db37ff42311 1360286 zfs-fuse_0.7.0-8_i386.deb
Files: 
 327f7d60978b5b9cf37bdd9749cb724a 1968 otherosfs optional zfs-fuse_0.7.0-8.dsc
 1888966692a21bfd12e9488d8d662da5 19359 otherosfs optional zfs-fuse_0.7.0-8.debian.tar.gz
 c3329b4c51f5740f77d21871c56e9c13 1360286 otherosfs optional zfs-fuse_0.7.0-8_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJPzWgkAAoJEK7JmSstf/GAuPwQAIussB7PMXuQprtt7yikqyqC
KxsxSAUYpGGCKaEEt4mdcF0HFzaq3NiCMs1Y3XwtkKjdXSM966HedBWIq40qDtd5
ymqkAvu5LEgrq6+Lx7J/N1YJZngHjzNMvIGwOd+DvF7DhFyW4UQ6TRkjEDl/rUTm
FywPBmo+HwmJFgwbZnu04JSei7+sEjDZao1SRv8NMP0m46VrmvSJuqzlUeLmYz4T
EkaOK3f15zuqOfYtIusIsZ8XDeDqwDyWCG22W58R9jB/89/EhSLq0elYa6ZYNynI
WC8W6Nw/HU07GGKHd377BIYYOYACCTRuoiPPI3wGXI0lImaIg8+Xu8aKJ0jA9YZl
QpbQyTQnWa7HR48Q02ap21kvNGv/1zgCaIW4DnuJcpC8Frgv+3GAfEePvQxrQiiD
Z4N05dutScEyeCQ6Nv+Ge0paF5avbzwnDdcOQXpzNI0utQrJc1arKEmMmEJ/yzqR
wNFgrrQlM1Nb7ib7Y3G3vL9/0yVa0R5N0uwO+U9ew5b1QJyg1sqT/+uTRvbwnA4C
/S4MKrwtastnoEuBWWZ6F3tQ8AXxOXGkUgzWejq/Do9xznaIbyuhm1/KjoQ4kFy4
lMik0QdWaMDmlSIv7mTk4H5s2wr2BnxHmPkyuEwpwI1yqKqaRfuncSYDP2yqsy9p
YEJ6jJ/Qdg1ZxUBJtEre
=qiW1
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 13 Jul 2012 07:40:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 07:03:25 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.